Name:		gnurobots
Version:	1.2.0
Release:	5%{?dist}
Summary:	A robot programming game

Group:		Amusements/Games
License:	GPLv3+
URL:		http://www.gnu.org/software/%{name}/
Source0:	http://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Patch0:		%{name}-%{version}-guile.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	guile-devel >= 1.8 , readline-devel, vte-devel
BuildRequires:	desktop-file-utils

%description

GNU Robots is a game/diversion where you construct a program for a little 
robot, then set him loose and watch him explore a world on his own.  
The robot program is written in Scheme, and is implemented using GNU Guile.

%prep
%setup -q
%patch0 -p0 -b .guile
sed -i.optflags -e '/^CFLAGS=/d' configure

%build
%configure
make %{?_smp_mflags} 


%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT
%{__install} -m 755 -d $RPM_BUILD_ROOT%{_datadir}/%{name}/xpm
%{__cp} -av xpm/*.xpm $RPM_BUILD_ROOT%{_datadir}/%{name}/xpm/
desktop-file-install --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS TODO doc/Robots-HOWTO
%attr(644,root,root) %{_datadir}/%{name}/scheme/*
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/maps/
%{_datadir}/%{name}/xpm/
%dir %{_datadir}/%{name}/scheme
%{_datadir}/applications/%{name}.desktop

%changelog
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Dec 2 2008 Vivek Shah <bonii at fedoraproject.org> 1.2.0-4
- Fixed BuildRequires to remove obsolete dependencies
- Fixed desktop file utils for changed packaging guidelines
- Fixed copy of xpm/ to exclude Makefiles
- Added patch to handle guile prompt crash while initialisation

* Thu Oct 30 2008 Vivek Shah <boni.vivek at gmail.com> 1.2.0-3
- Fixed BuildRequires to remove unrequired dependencies
- Added missing unowned directories
- Added directive to use Fedora CFLAGS while building

* Mon Oct 14 2008 Vivek Shah <boni.vivek at gmail.com> 1.2.0-2
- Added desktop file, fixed new build requires

* Wed Aug 20 2008 Vivek Shah <boni.vivek at gmail.com> 1.2.0-1
- Fixed permissions of files under scheme/ to 644 

